#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/antlr
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### antlr (static) ############################

tde_add_library( antlr STATIC_PIC
  SOURCES
    ANTLRUtil.cpp ASTFactory.cpp ASTNULLType.cpp
    ASTRefCount.cpp BaseAST.cpp BitSet.cpp
    CharBuffer.cpp CharScanner.cpp CommonAST.cpp
    CommonASTWithHiddenTokens.cpp CommonHiddenStreamToken.cpp
    CommonToken.cpp InputBuffer.cpp LLkParser.cpp
    MismatchedCharException.cpp MismatchedTokenException.cpp
    NoViableAltException.cpp NoViableAltForCharException.cpp
    Parser.cpp RecognitionException.cpp String.cpp
    Token.cpp TokenBuffer.cpp TokenRefCount.cpp
    TokenStreamBasicFilter.cpp TokenStreamHiddenTokenFilter.cpp
    TokenStreamRewriteEngine.cpp TokenStreamSelector.cpp
    TreeParser.cpp
)
